#set ($Caracter = "#")
#set ($Caracter2 = "$")
<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://www.ibatis.com/dtd/sql-map-2.dtd">

<sqlMap namespace="$clasesinpaquete">

	<resultMap id="result" class="$classname">
#foreach($campo in $campos2)
		<result property="$campo.getName().toLowerCase()" column="$campo.getName().toUpperCase()" jdbcType="$dtm.getJDBCType($campo.getType())" javaType="$campo.getType()" />
#end
	</resultMap>

	<select id="obtener$clasesinpaquete" resultMap="result">
		SELECT * FROM $tablename.toUpperCase()
		<dynamic prepend="WHERE">
#foreach($campo in $campos2)
    		<isNotEmpty prepend="AND" property="$campo.getName().toLowerCase()">
#if ($campo.getType() == "java.util.Date")
				$tablename.toUpperCase().$campo.getName().toUpperCase() = $Caracter$campo.getName().toLowerCase()$Caracter
#end
#if ($campo.getType() == "String")
				$tablename.toUpperCase().$campo.getName().toUpperCase() = $Caracter$campo.getName().toLowerCase()$Caracter
#end
#if ($campo.getType() == "Double" || $campo.getType() == "java.math.BigDecimal")
				$tablename.toUpperCase().$campo.getName().toUpperCase() = $Caracter$campo.getName().toLowerCase()$Caracter
#end
			</isNotEmpty>
#end
  		</dynamic>
	</select>

	<select id="obtenerFiltro$clasesinpaquete" resultMap="result" parameterClass="java.util.Map">
 		SELECT * FROM $tablename.toUpperCase()
		<dynamic prepend="WHERE">
#foreach($campo in $campos2)
    		<isNotEmpty prepend="AND" property="$campo.getName().toLowerCase()">
#if ($campo.getType() == "java.util.Date")
				$tablename.toUpperCase().$campo.getName().toUpperCase() = $Caracter$campo.getName().toLowerCase()$Caracter
#end
#if ($campo.getType() == "String" || $campo.getType() == "Double" || $campo.getType() == "java.math.BigDecimal")
				$tablename.toUpperCase().$campo.getName().toUpperCase() LIKE UPPER('%$Caracter2$campo.getName().toLowerCase()$Caracter2%')
#end
			</isNotEmpty>
#end
		</dynamic>
	</select>

	<select id="total$clasesinpaquete" resultClass="java.lang.Integer">
		SELECT COUNT(*) AS VALUE FROM (
			SELECT * FROM $tablename.toUpperCase()
			<dynamic prepend="WHERE">
#foreach($campo in $campos2)
	    		<isNotEmpty prepend="AND" property="$campo.getName().toLowerCase()">
#if ($campo.getType() == "java.util.Date")
					$tablename.toUpperCase().$campo.getName().toUpperCase() = $Caracter$campo.getName().toLowerCase()$Caracter
#end
#if ($campo.getType() == "String" || $campo.getType() == "Double" || $campo.getType() == "java.math.BigDecimal")
					$tablename.toUpperCase().$campo.getName().toUpperCase() LIKE UPPER('%$Caracter2$campo.getName().toLowerCase()$Caracter2%')
#end
				</isNotEmpty>
#end
			</dynamic>
		) 
	</select>

	<insert id="insertar$clasesinpaquete" parameterClass="java.util.Map" >
		$insert 
	</insert>

	<update id="actualizar$clasesinpaquete" parameterClass="java.util.Map" >
		$update 
		
		<dynamic prepend="WHERE">$pk_condition
		</dynamic>
	</update>

	<delete id="eliminar$clasesinpaquete" parameterClass="java.util.Map">
		DELETE FROM 
					$tablename.toUpperCase()
		WHERE $pk_condition
	</delete>
	
</sqlMap>